stages:
  - everything

real-from-ideal:
  stage: everything
  script:
    # Build
    - ./examples/01_real-from-ideal.sh 0
    # Run Ideal
    - ./examples/01_real-from-ideal.sh 1
    # Run Real
    - ./examples/01_real-from-ideal.sh 2
    # Post-process and clean
    - ./examples/01_real-from-ideal.sh 3
  tags:
    - slurm.meteo.physik.lmu.de
  variables:
    SRUN_OPTIONS: "--time 04:00:00 --mem 18G -n 4 -c 2"

  artifacts:
    name: real-from-ideal-logs
    when: always
    paths:
      - ./autosubmit/**/tmp
    expire_in: 7 days

real-from-ideal-psp:
  stage: everything
  script:
    # Build
    - ./examples/01_real-from-ideal+psp.sh 0
    # Run Ideal
    - ./examples/01_real-from-ideal+psp.sh 1
    # Run Real
    - ./examples/01_real-from-ideal+psp.sh 2
    # Post-process and clean
    - ./examples/01_real-from-ideal+psp.sh 3
  tags:
    - slurm.meteo.physik.lmu.de
  variables:
    SRUN_OPTIONS: "--time 04:00:00 --mem 18G -n 4 -c 2"

  artifacts:
    name: real-from-ideal+psp-logs
    when: always
    paths:
      - ./autosubmit/**/tmp
    expire_in: 7 days